- Qt 5.15
- Qt XML
- C++ Classes
- QDomText
- Qt 5.15.15 Reference Documentation

# QDomText Class

The QDomText class represents text data in the parsed XML document. More...

Header: | #include <QDomText>
qmake: | QT += xml
Inherits: | QDomCharacterData
Inherited By: | QDomCDATASection

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

| QDomText(const QDomText &x)
| QDomText()
QDomText & | operator=(const QDomText &x)
QDomNode::NodeType | nodeType() const
QDomText | splitText(int offset)

## Detailed Description

You can split the text in a QDomText object over two QDomText objects with splitText().

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomText::QDomText(const QDomText &x)

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomText::QDomText()

Constructs an empty QDomText object.

To construct a QDomText with content, use QDomDocument::createTextNode().

### QDomText &QDomText::operator=(const QDomText &x)

Assigns x to this DOM text.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode::NodeType QDomText::nodeType() const

Returns `TextNode`.

### QDomText QDomText::splitText(int offset)

Splits this DOM text object into two QDomText objects. This object keeps its first offset characters and the second (newly created) object is inserted into the document tree after this object with the remaining characters.

The function returns the newly created object.

See also QDomNode::normalize().